/*
 * Copyright (c) 2011 NetApp, Inc.
 * All rights reserved.
 *
 * *** NOTE *** DO NOT EDIT THIS FILE - it is generated by zapidoc.
 * *** Generated: Thu Aug 25 11:31:38 2011
 */

package netapp.manage;
/**
 * This interface contains DataFabric Manager server API error code constants.
 */
public interface DfmErrno {

	public static final int EABORTINPROGRESS = 21024;
	/* Error when dfm backup abort is already in progress */

	public static final int EACCESSDENIED = 22256;
	/* Access denied to system objects. */

	public static final int EAGENTNOTUPTODATE = 22321;
	/* Host agent version is too old to support the requested operation. */

	public static final int EALARMDOESNOTEXIST = 22233;
	/* Specified alarm does not exist */

	public static final int EALARMTESTFAILED = 22280;
	/* Alarm test operation failed. */

	public static final int EALREADYACKWED = 22258;
	/* Event is already acknowledged. */

	public static final int EALREADYINDATASET = 22241;
	/* Member already in dataset. */

	public static final int EAPPPOLICYINUSE = 23806;
	/* The Application Policy is in use by one or more datasets. */

	public static final int EAPPPOLICYNOTFOUND = 23821;
	/* Application policy not found. */

	public static final int EBACKUPBUSY = 23410;
	/* The specified backup is busy. */

	public static final int EBACKUPDOESNOTEXIST = 22281;
	/* Backup Version does not exist */

	public static final int EBACKUPLOCATIONDOESNOTEXIST = 22290;
	/* The specified backup location was not found. */

	public static final int EBACKUP_ALREADY_MOUNTED = 23825;
	/* Backup is already mounted. */

	public static final int EBACKUP_NOT_MOUNTED = 23826;
	/* Backup is not mounted. */

	public static final int EBADCREDENTIALS = 21008;
	/* Credentials are believed to be invalid */

	public static final int EBADHOSTTYPE = 22265;
	/* Unknown host type. */

	public static final int ECANNOTDELETECLUSTERNODEHOST = 23815;
	/* Controllers host that belong to a cluster cannot be deleted individually. */

	public static final int ECANNOTDESTROYSTORAGE = 23345;
	/* The storage system (volume, lun or qtree) cannot be destroyed. */

	public static final int ECANTREADCONFIGFILE = 21006;
	/* Fail to read configuration file */

	public static final int ECANTREADSTATUSFILE = 21009;
	/* Fail to read status file */

	public static final int ECANTWRITECONFIGFILE = 21007;
	/* Fail to write configuration file */

	public static final int ECLIENTSTATSCOLLECTIONINPROGRESS = 23522;
	/* Collection of per-client statistics is already in progress. */

	public static final int ECOMMENTFIELDALREADYEXISTS = 23301;
	/* Comment field already exists. */

	public static final int ECOMMENTFIELDDOESNOTEXIST = 23302;
	/* Comment field does not exist. */

	public static final int EDATABASEERROR = 22259;
	/* Database Error. */

	public static final int EDATASETBUSY = 23805;
	/* Dataset is busy with conformance or migration tasks. */

	public static final int EDATASETDRSTATEUNCHANGED = 23401;
	/* A request was made to make an idempotent update to the DR state of a dataset. */

	public static final int EDATASETEXISTS = 22212;
	/* Dataset already exists. */

	public static final int EDATASETFAILINGOVER = 23416;
	/* A request to modify the dataset failed because the dataset's DR State is currently "Failing Over". */

	public static final int EDATASETFAILOVERNOTREADY = 23402;
	/* A failover request failed because the dataset was not in the "Ready" state. */

	public static final int EDATASETMIGRATING = 23510;
	/* Dataset is migrating. */

	public static final int EDATASETNODEISROOT = 22246;
	/* Dataset node is root. */

	public static final int EDATASETNOTDRCAPABLE = 23408;
	/* The dataset is not DR capable. */

	public static final int EDATASETNOTEFFECTIVEPRIMARY = 23411;
	/* Operation on the dataset is only valid for the effective primary node. */

	public static final int EDATASETNOTEMPTY = 22239;
	/* Dataset is not empty. */

	public static final int EDATASETNOTINFAILEDOVERSTATE = 23409;
	/* The dataset is not in the "Failed Over" state. */

	public static final int EDATASETNOTINSTABLEDRSTATE = 23412;
	/* The dataset is not in a stable DR state. */

	public static final int EDATASETWRONGDRSTATE = 23400;
	/* A request was made to update the DR state of a dataset to an invalid state. */

	public static final int EDEDUPEABORTNOTSUPPORTED = 23503;
	/* Aborting a deduplication operation is not possible as deduplication on the storage system is not running. */

	public static final int EDEDUPEALREADYRUNNING = 23505;
	/* Running deduplication is not possible if deduplication on the volume is already running on the storage system. */

	public static final int EDEDUPENOTRUNNING = 23506;
	/* Aborting deduplication is not possible if deduplication is not running on the storage system. */

	public static final int EDEDUPENOTSUPPORTED = 23501;
	/* Deduplication is not supported for deduped disabled or non SIS volumes. */

	public static final int EDELETEFAILED = 21023;
	/* Error when deletion of a file fails */

	public static final int EDIRDOESNOTEXIST = 21020;
	/* Error when directory does not exist */

	public static final int EDIRNOTWRITABLE = 21021;
	/* Error when directory is not writable */

	public static final int EDOMAINUSERAMBIGUOUS = 23324;
	/* Domain user name is ambiguous. */

	public static final int EDOMAINUSERNOTFOUND = 23323;
	/* Domain user is not found in the database. */

	public static final int EDPPOLICYINUSE = 22282;
	/* The DP Policy is in use by one or more datasets. */

	public static final int EDPPOLICYNODENOTFOUND = 22222;
	/* Data protection policy node not found. */

	public static final int EDPPOLICYNOTFOUND = 22223;
	/* Data protection policy not found. */

	public static final int EDRLICENSEREQUIRED = 23414;
	/* The disaster recovery license is required */

	public static final int EDSCONFLICTALREADYEXCLUDED = 23809;
	/* The object to be added to the dataset's exclusion list is already in the exclusion list. */

	public static final int EDSCONFLICTALREADYINDATASET = 22293;
	/* Object, its ancestor or descendent is already in dataset.  */

	public static final int EDSCONFLICTALREADYINRESPOOL = 22294;
	/* Object, its ancestor or descendent is already in resource pool. */

	public static final int EDSCONFLICTCANTFAILOVEROSSV = 23403;
	/* An OSSV directory or host cannot be in the primary node of a DR dataset. */

	public static final int EDSCONFLICTCANTMIRROROSSV = 22295;
	/* OSSV is not allowed in mirror source node. */

	public static final int EDSCONFLICTCANTSNAPSHOTOSSV = 22296;
	/* Cannot apply snapshot schedule to OSSV. */

	public static final int EDSCONFLICTDEDUPLICATION = 23504;
	/* Conflicts while setting dedupe enabled secondary provisioning policy to a backup or mirror destination node.  */

	public static final int EDSCONFLICTINCOMPATIBLEOBJTYPE = 23807;
	/* The object user is trying add to a dataset is incompatible with the types of the existing member objects. */

	public static final int EDSCONFLICTINCOMPATIBLEPOLICY = 22334;
	/* The policy is not compatible with the dataset. */

	public static final int EDSCONFLICTINVALIDVFILER = 23342;
	/* vFiler is not valid. */

	public static final int EDSCONFLICTMEMBERVFILERMISMATCH = 23346;
	/* vFiler and members in the dataset node do not match. */

	public static final int EDSCONFLICTNDRESTORE = 23406;
	/* Operation is not permitted if non disruptive restore is enabled. */

	public static final int EDSCONFLICTNOSMLICENSE = 22297;
	/* There is no SnapMirror license installed. */

	public static final int EDSCONFLICTNOSMSVLICENSE = 22298;
	/* There is no SnapMirror or SnapVault license installed. Need to have at least one of them installed. */

	public static final int EDSCONFLICTNOSVLICENSE = 23404;
	/* There is no SnapVault license installed. */

	public static final int EDSCONFLICTNOTEXCLUDED = 23810;
	/* The object to be removed from the dataset's exclusion list is not in the exclusion list. */

	public static final int EDSCONFLICTNOTLEAFNODE = 22301;
	/* Operation cannot be performed on non-leaf node of dataset. */

	public static final int EDSCONFLICTNOTROOTNODE = 22300;
	/* Operation cannot be performed on non-root node of dataset. */

	public static final int EDSCONFLICTOSSVNOTALLOWED = 22335;
	/* OSSV is not allowed of this dataset. */

	public static final int EDSCONFLICTOSVERSIONNOTCOMPATIBLE = 23405;
	/* The OS version is not comaptible to support the operation. */

	public static final int EDSCONFLICTPROVPOLICYNOTALLOWED = 23340;
	/* Comment field is a system comment. */

	public static final int EDSCONFLICTROOTNODE = 22299;
	/* Operation cannot be performed on root node of dataset. */

	public static final int EDSCONFLICTRPNOTALLOWED = 23808;
	/* Resource pools are not allowed on a dataset that has an application policy assigned, or virtualization object members. */

	public static final int EDSCONFLICTSRCDESTINSAMEAGGR = 23514;
	/* Backup from the source data to destionation data in the same aggregate is not allowed. */

	public static final int EDSCONFLICTTRANSPARENTMIGRATION = 23500;
	/* Transparent migration checks for the dataset failed. */

	public static final int EDSCONFLICTWITHANOTHERDATASET = 23418;
	/* Object, its ancestor or descendent is already in another dataset. */

	public static final int EDUPCAPABILITY = 21044;
	/* Error when a specified capability is already assigned to a role */

	public static final int EDUPLICATEROLE = 21028;
	/* Error when a duplicate role name specified */

	public static final int EDUPLICATEROLEREF = 22292;
	/* The role already inherits from the specified role. */

	public static final int EDUPLICATEUSER = 23310;
	/* User with the given name already exists. */

	public static final int EDUPLICATEUSERGROUP = 23322;
	/* Usergroup with the given name already exists. */

	public static final int EDUPOPERATION = 21039;
	/* Error when a specified operation already exists */

	public static final int EEDITINPROGRESS = 22221;
	/* Another edit session is currently in progress. */

	public static final int EEDITSESSIONCONFLICTINGOP = 22264;
	/* The operation is incompatible with those already in the edit session. */

	public static final int EEDITSESSIONINPROGRESS = 22243;
	/* Edit session already in progress. */

	public static final int EEDITSESSIONNOTFOUND = 22240;
	/* Edit session not found. */

	public static final int EEDITSESSIONOBJECTALREADYLOCKED = 22263;
	/* Object already locked by another edit session. */

	public static final int EEVENTCLASSEXISTS = 21013;
	/* Event type being added already exists */

	public static final int EEVENTGENERATEFAILED = 21011;
	/* Failed to generate event */

	public static final int EFILEDOESNOTEXIST = 21022;
	/* Error when file does not exist */

	public static final int EFILERNOTFOUND = 23343;
	/* Filer not found. */

	public static final int EGRAPHNOTFOUND = 23339;
	/* Specified graph not found. */

	public static final int EGROUPCOPYERROR = 22272;
	/* Error during group copy operation. */

	public static final int EGROUPDOESNOTEXIST = 22228;
	/* No such resource group exists. */

	public static final int EGROUPEXISTS = 22274;
	/* A group with the same name already exists. */

	public static final int EGROUPMOVEERROR = 22273;
	/* Error during group move operation. */

	public static final int EHOSTACCESSDENIED = 22309;
	/* The Host rejected the operating system username or password. */

	public static final int EHOSTADDDUPPRODID = 22314;
	/* Tried to add a host with the same product id as an existing host. */

	public static final int EHOSTADDMISMATCHPRODID = 22325;
	/* The host being added is in the database, but with a different product id. */

	public static final int EHOSTADDNOCONTACT = 22312;
	/* Cannot contact the host. */

	public static final int EHOSTADDNOFCSWITCH = 22316;
	/* Licenseing prohibits adding an FC switch. */

	public static final int EHOSTADDNOLICENSE = 22322;
	/* The license is not available to add this type of host. */

	public static final int EHOSTADDNONODES = 22324;
	/* The licensed node limit has been exceeded. */

	public static final int EHOSTADDNOTENABLED = 22323;
	/* The backup host does not have snapvault enabled. */

	public static final int EHOSTADDNOTRESOLVED = 22313;
	/* Could not resolve the fqdn or ip address of the host. */

	public static final int EHOSTADDTAKENOVER = 22315;
	/* Host has been taken over by its cluster failover partner. */

	public static final int EHOSTADDVFILERPARENTDELETED = 22317;
	/* The parent host of the vfiler host has been deleted. */

	public static final int EHOSTBADCONFIG = 22328;
	/* Configuration error found on host. */

	public static final int EHOSTCOMMUNICATION = 22308;
	/* Unable to contact the Host Agent. */

	public static final int EHOSTDOESNOTEXIST = 21001;
	/* Host does not exist in the dfm database. */

	public static final int EHOSTEXISTS = 22311;
	/* Host already exists. */

	public static final int EHOSTINUSE = 22329;
	/* The host is being used for backup operations. */

	public static final int EHOSTNDMPACCESSFAILED = 22327;
	/* NDMP access failed. */

	public static final int EHOSTNDMPTABLOOKUPFAILED = 22331;
	/* Failed to retrieve the default ndmp credentials for a host add. */

	public static final int EHOSTOSVERSIONNOTSUPPORTED = 23304;
	/* Host's OS is not supported for the operation. */

	public static final int EHOSTREQUESTDENIED = 22310;
	/* The Host Agent was unable to change the password. */

	public static final int EHOSTRSHACCESSFAILED = 22336;
	/* RSH access denied on the host. */

	public static final int EHOSTRUNMONFAILED = 22319;
	/* Failed to run sysinfomon on the host just added. */

	public static final int EHOSTVFILERADDFAILED = 22330;
	/* Failed to add the vfilers for the host we just added. */

	public static final int EHSNOTAUTHORIZED = 23828;
	/* Host Service registration is not yet authorized. */

	public static final int EHS_ALREADY_AUTHORIZED = 23827;
	/* Host Service is already authorized. */

	public static final int EHS_CONFIGURE_FAILED = 23829;
	/* Host Service configuration failed. */

	public static final int EHS_REGISTER_ERROR = 23812;
	/* Host Service registration failed. */

	public static final int EHS_UNREGISTER_ERROR = 23811;
	/* Host Service un-registration from DataFabric Manager Server failed. */

	public static final int EINCOMPATIBLEROLE = 23331;
	/* Incompatible roles found on source and target hosts. */

	public static final int EINCOMPATIBLEUSERGROUP = 23332;
	/* Incompatible usergroups found on source and target hosts. */

	public static final int EINVALIDALARMTIME = 22231;
	/* Invalid time. */

	public static final int EINVALIDAPPLICATIONNAME = 21033;
	/* Error when an invalid application name is specified */

	public static final int EINVALIDCAPABILITY = 23306;
	/* Invalid capability specified. */

	public static final int EINVALIDDESCRIPTION = 21029;
	/* Error when an invalid description specified */

	public static final int EINVALIDDOMAINUSERNAME = 23325;
	/* Domain user name is invalid. */

	public static final int EINVALIDEMAILADDR = 22227;
	/* Invalid email address. */

	public static final int EINVALIDEVENTCLASSEXP = 22232;
	/* Invalid regular expression for event-class. */

	public static final int EINVALIDEVENTSEVERITY = 22260;
	/* Invalid severity level for the event. */

	public static final int EINVALIDGROUPFILTER = 23813;
	/* Group filter can not be applied to given query. */

	public static final int EINVALIDGROUPNAME = 22275;
	/* Specified group name is invalid. */

	public static final int EINVALIDINPUT = 21012;
	/* Invalid input */

	public static final int EINVALIDJOBSTATE = 23512;
	/* Invalid job state. */

	public static final int EINVALIDJOBTYPE = 23511;
	/* Invalid job type. */

	public static final int EINVALIDLICENSE = 22302;
	/* Invalid license key specified. */

	public static final int EINVALIDLONGDESC = 21036;
	/* Error when an invalid long description is specified */

	public static final int EINVALIDMEMBER = 22270;
	/* Specified member is not a groupable object type. */

	public static final int EINVALIDMEMBERTYPE = 22262;
	/* Invalid member type is specified. */

	public static final int EINVALIDMIGRATIONSTATUS = 23507;
	/* Invalid migration status for a particular migration operation. */

	public static final int EINVALIDOBJECTTYPE = 23336;
	/* The object type is invalid for the requested operation. */

	public static final int EINVALIDOPERATIONNAME = 21032;
	/* Error when an invalid capability name is specified */

	public static final int EINVALIDOPERATIONTYPE = 21034;
	/* Error when an invalid capability type is specified */

	public static final int EINVALIDOPTION = 23814;
	/* Invalid option. */

	public static final int EINVALIDPASSWORDAGE = 23313;
	/* Invalid password age specified for the user. */

	public static final int EINVALIDPOLICYPROPERTY = 22253;
	/* Invalid value specified for a property in the policy. */

	public static final int EINVALIDQTREENAME = 22225;
	/* invalid qtree name */

	public static final int EINVALIDRESOURCE = 21041;
	/* Error when a specified resource is invalid */

	public static final int EINVALIDRESOURCETYPE = 21038;
	/* Error when an invalid resource type is specified */

	public static final int EINVALIDROLENAME = 21027;
	/* Error when an invalid role name specified */

	public static final int EINVALIDSHORTDESC = 21037;
	/* Error when an invalid short description is specified */

	public static final int EINVALIDSTORAGESETMAP = 22248;
	/* Storage set is not empty. */

	public static final int EINVALIDTAG = 21002;
	/* Invalid tag specified to get the iterator. */

	public static final int EINVALIDTRAPADDR = 22230;
	/* Trap Address invalid. */

	public static final int EINVALIDUSERFULLNAME = 23311;
	/* Invalid full-name specified for the user. */

	public static final int EINVALIDUSERGROUPNAME = 23321;
	/* Usergroup name is invalid. */

	public static final int EINVALIDUSERNAME = 21046;
	/* Error when a role is not found in the database */

	public static final int EJOBALREADYABORTED = 22219;
	/* Specified job already aborted. */

	public static final int EJOBALREADYCOMPLETED = 22218;
	/* Specified job already completed execution. */

	public static final int EJOBCANNOTBEABORTED = 22220;
	/* Specified job can not be aborted. */

	public static final int EJOBCANNOTBESTORED = 23415;
	/* Specified job can not be stored in the database. */

	public static final int EJOBDOESNOTEXIST = 22217;
	/* Specified job does not exist. */

	public static final int ELICENSEINUSE = 22285;
	/* This license is being used by a different host. */

	public static final int EMAXBACKUPMOUNT = 23824;
	/* Maximum Number of Mounted Backups. */

	public static final int EMEMBERALREADYINGROUP = 22269;
	/* Specified member is already present in the group. */

	public static final int EMEMBERNAMEAMBIGUOUS = 22271;
	/* Specified member name is ambiguous. */

	public static final int EMEMBERNOTINGROUP = 22268;
	/* Specified member is not present in the group. */

	public static final int EMIGRATEDESTINATIONSELECTIONFAILED = 23508;
	/* A valid destination during resource selection was not found. */

	public static final int EMIGRATENOTSUPPORTED = 23509;
	/* Migration not supported */

	public static final int EMULTISTORENOTLICENSED = 23344;
	/* Multistore not licensed. */

	public static final int ENAMENOTFOUND = 21003;
	/* Invalid option name given which does not exist in the db. */

	public static final int ENDRESTORENOTPOSSIBLE = 23407;
	/* A non disruptive restore is not possible. One the reasons may be a partial qtree restore. */

	public static final int ENOBACKUPINPROGRESS = 21025;
	/* Error when there is no backup process to abort */

	public static final int ENODENOTDRCAPABLE = 23413;
	/* The node is not Disaster Recovery capable */

	public static final int ENOFAVORITES = 23315;
	/* No favorite reports for the user. */

	public static final int ENOPERFTHRESHOLDVIEWEXISTS = 23330;
	/* No perf view exists for the threshold being set. */

	public static final int ENORECENTVIEWED = 23316;
	/* No recently viewed reports for the user. */

	public static final int ENOSUCHEVENT = 22257;
	/* No such event found. */

	public static final int ENOSUCHEVENTCLASS = 21014;
	/* Event type does not exist */

	public static final int ENOTASSIGNEDCAPABILITY = 21043;
	/* Error when a specified capability is not assigned to a role */

	public static final int ENOTASSIGNEDROLE = 21042;
	/* Error when a specified resource is invalid */

	public static final int ENOTCUSTOMEVENTCLASS = 21010;
	/* Passed event class is not a custom event class */

	public static final int ENOTFOUNDOPERATION = 21040;
	/* Error when a capability does not exist in the database */

	public static final int ENOTFOUNDROLE = 21030;
	/* Error when a role is not found in the database */

	public static final int ENOTFOUNDUSER = 21047;
	/* Error when a role is not found in the database */

	public static final int ENOTINDATASET = 22242;
	/* Member not in dataset. */

	public static final int ENOTINGROUP = 22245;
	/* Member not in group. */

	public static final int ENOTINHERITEDROLE = 21045;
	/* Error when a specified role is not inherited by a role */

	public static final int EOBJECTAMBIGUOUS = 22211;
	/* Multiple objects are present with the same name in database. */

	public static final int EOBJECTEXISTS = 22284;
	/* The specified object cannot be added because it already exists. */

	public static final int EOBJECTEXISTSINRESOURCEPOOL = 22208;
	/* Object being added to Resource pool already exists in that resource pool. */

	public static final int EOBJECTINANOTHERDYNAMICREFERENCE = 22206;
	/* Object being added to Resource pool is in another Resource pool/Storage set. */

	public static final int EOBJECTINDIRECTMEMOFANOTHERDYNAMICREF = 23419;
	/* Object being added to Resource pool is in another Resource pool and it's an indirect member of the Resource pool. */

	public static final int EOBJECTNOTFOUND = 22255;
	/* Object not found in DFM Database. */

	public static final int EOBJECTNOTFOUNDINBACKUP = 23823;
	/* An application object requested to be restored, is not present in the specified backup. */

	public static final int EOBJECTNOTINRESOURCEPOOL = 22207;
	/* Object being deleted from Resource pool does not exist in that resource pool. */

	public static final int EOBJECTNOTRESTORABLE = 23822;
	/* An application object requested to be restored, is not restorable. */

	public static final int EONLINENOTPOSSIBLE = 23521;
	/* Operation is not supported due to host OS version incompatability. */

	public static final int EOPERATIONISPERMANENT = 22289;
	/* An attempt was made to modify or delete a permanent operation */

	public static final int EOPERATIONNOTSUPPORTED = 23513;
	/* Operation is not supported due to host OS version incompatability. */

	public static final int EOPERATIONTIMEDOUT = 22333;
	/* Operation failed due to timeout exceeded. */

	public static final int EOSSVCANTTAKESNAPSHOTS = 22288;
	/* A snapshot schedule is being set for a policy's root node, but the policy has been applied to a dataset whose root node contains OSSV directories. */

	public static final int EPARENTGROUPDOESNOTEXIST = 22276;
	/* Specified parent group does not exist. */

	public static final int EPARENTGROUPNAMEAMBIGUOUS = 22267;
	/* Specified parent group name is ambiguous. */

	public static final int EPASSWORDAGENOTSUPPORTED = 23312;
	/* Password age is not supported in the current ONTAP release. */

	public static final int EPATHDOESNOTEXIST = 22291;
	/* The specified path was not found. */

	public static final int EPERFEXPORTINPROGRESS = 23701;
	/* There is already a data export job in progress.  */

	public static final int EPERFTEMPLATEEXISTS = 23417;
	/* The performance template already exists */

	public static final int EPERFUPDATEDISABLED = 23314;
	/* Performance Advisor object updates sre disabled. */

	public static final int EPOLICYEXISTS = 22261;
	/* Policy already exists. */

	public static final int EPOLICYNOTMODIFIABLE = 22251;
	/* Policy cannot be modified or deleted because its is-modifiable attribute is false. */

	public static final int EPOLICYTOPOLOGYCHANGED = 22252;
	/* The requested modification changes the topology of the policy graph. */

	public static final int EPROCESSKILLFAILED = 21026;
	/* Error when kill failed for a process */

	public static final int EPROVISIONFAILED = 23518;
	/* Provisioning a dataset member failed. */

	public static final int EPROVPOLICYINUSE = 23338;
	/* Provisioning policy is in use by datasets. */

	public static final int EQTREEALREADYEXISTS = 22226;
	/* qtree already exists */

	public static final int EQTREEDELETEDPARENT = 22236;
	/* Indicates that a qtree parent (host/filer or volume) is currently deleted.  A qtree may not be added (or monitored) by DFM under this situation. */

	public static final int EQTREEDOESNOTEXIST = 22224;
	/* qtree does not exist */

	public static final int EQTREEMANAGEDBYAPP = 22234;
	/* qtree is being managed by an application */

	public static final int EQTREEMONITOROFFFAIL = 22238;
	/* Could not stop monitoring qtree */

	public static final int EQTREEMONITORONFAIL = 22237;
	/* Could not start monitoring qtree */

	public static final int EQTREEUNDELETEFAIL = 22235;
	/* Failed to undelete qtree */

	public static final int EREPORTAMBIGUOUS = 23318;
	/* Report of the same name exists in different applications. */

	public static final int EREPORTCATEGORYNOTFOUND = 23816;
	/* The input report category does not exist in DFM. */

	public static final int EREPORTNOTFOUND = 23326;
	/* Specified report could not be found. */

	public static final int EREPORTNOTLICENSED = 23334;
	/* The report scheduled is not licensed. */

	public static final int EREPORTNOTSCHEDULABLE = 23335;
	/* The report cannot be scheduled. */

	public static final int EREPORTOUTPUTDELETEERROR = 23327;
	/* Error in deleting the report output. */

	public static final int EREPORTOUTPUTFILENOTFOUND = 23333;
	/* The report schedule did not generated any report output. */

	public static final int EREPORTOUTPUTFILEREADERROR = 23328;
	/* Error in reading the report output. */

	public static final int EREPORTOUTPUTNOTFOUND = 23320;
	/* Invalid report output id specified. */

	public static final int EREPORTSCHEDULEDELETEERROR = 23329;
	/* Error in deleting report schedule. */

	public static final int EREPORTSCHEDULEDUPLICATE = 23319;
	/* Report Schedule already exists. */

	public static final int ERESOURCEPOOLDOESNOTEXIST = 22204;
	/* Resource pool does not exist. */

	public static final int ERESOURCEPOOLEXISTS = 22205;
	/* Resource pool already exists. */

	public static final int ERESOURCEPOOLINUSE = 22210;
	/* Resource pool is in use by a Storage set. */

	public static final int ERESOURCEPOOLNOTEMPTY = 22209;
	/* Resource pool is not empty. */

	public static final int EROLEAMBIGUOUS = 23305;
	/* Role name is ambiguous. */

	public static final int EROLEASSIGNED = 21031;
	/* Error returned when the administrator has already been assigned the role. */

	public static final int EROLEISPERMANENT = 21048;
	/* An attempt was made to modify a permanent and fixed role. */

	public static final int EROOTSTORAGESET = 22249;
	/* Storage set is attached to root node of policy graph. */

	public static final int ERUNASUNSUPPORTED = 22229;
	/* Run as option not supported in Windows Management Station */

	public static final int ESCHEDULEDUPLICATE = 22202;
	/* Schedule already exists */

	public static final int ESCHEDULEINUSE = 22203;
	/* Schedule is being used by another schedule */

	public static final int ESCHEDULEINVALIDINPUT = 22200;
	/* Invalid Input Parameter(s) found in the schedule. */

	public static final int ESCHEDULENOTFOUND = 22201;
	/* Schedule not found */

	public static final int ESCHEDULENOTMODIFIABLE = 22286;
	/* Schedule cannot be modified or deleted because it is a permanent or sample schedule. */

	public static final int ESCRIPTJOBRUNNING = 21016;
	/* Script/Schedule/Job could not be deleted since jobs were running */

	public static final int ESCRIPTPERMERROR = 21019;
	/* Permission error when performing script operations */

	public static final int ESERVICEEXISTS = 23515;
	/* The Storage Service already exists. */

	public static final int ESERVICEISATTACHED = 23517;
	/* The Dataset is attached to Storage Service. */

	public static final int ESERVICESTATEUNKNOWN = 22320;
	/* Could not find out if the service was actually started/stopped.. */

	public static final int ESNAPSHOTNOTFOUND = 23337;
	/* Snapshot not found. */

	public static final int ESPACEMGMTCONFLICTOP = 23803;
	/* Space management conflicting operation. */

	public static final int ESPACEMGMTSESSIONINPROGRESS = 23801;
	/* Space management session already in progress. */

	public static final int ESPACEMGMTSESSIONNOTFOUND = 23802;
	/* Space management session not found. */

	public static final int ESPCMGMTNOSUCHOP = 23804;
	/* No such space management operation in the session. */

	public static final int ESTORAGESERVICEINUSE = 23516;
	/* The Storage Service contains datasets. */

	public static final int ESTORAGESETNOTEMPTY = 22247;
	/* Storage set is not empty. */

	public static final int ESTORAGESETNOTINDATASET = 22283;
	/* Storage set is not a part of the dataset. */

	public static final int ESTORAGE_MAP_NOT_FOUND = 23831;
	/* The storage map for an application object has not been discovered. */

	public static final int ESYSTEMCOMMENTFIELD = 23303;
	/* Comment field is a system comment. */

	public static final int ETHRESHOLDEXIST = 23317;
	/* Threshold already exists. */

	public static final int ETHROTTLEDUPLICATE = 22214;
	/* Throttle schedule already exists */

	public static final int ETHROTTLEINUSE = 22215;
	/* Throttle schedule currently in use */

	public static final int ETHROTTLEINVALIDINPUT = 22216;
	/* Invalid Input Parameter(s) found in the throttle schedule. */

	public static final int ETHROTTLENOTFOUND = 22213;
	/* Throttle schedule not found */

	public static final int ETHROTTLENOTMODIFIABLE = 22287;
	/* Throttle schedule cannot be modified or deleted because it is a permanent or sample throttle schedule. */

	public static final int EUNDEDUPENOTSUPPORTED = 23502;
	/* Undeduplication is not supported for deduped enabled or non SIS volumes. */

	public static final int EUNKNOWNFAILOVERCONFIG = 21005;
	/* Unknown failover configuration name */

	public static final int EUNUSEDAPPLICATIONOBJECTSETTING = 23820;
	/* A setting used only for application objects was supplied when no application objects are involved. */

	public static final int EUSERAMBIGUOUS = 23309;
	/* User name is ambiguous. */

	public static final int EUSERGROUPAMBIGUOUS = 23308;
	/* Usergroup name is ambiguous. */

	public static final int EUSERGROUPNOTFOUND = 23307;
	/* Specifies usergroup is not found in the DB. */

	public static final int EVFILERINTERFACENOTSET = 23520;
	/* Default vFiler interface of the Filer is not set. */

	public static final int EVFILERTEMPLATEEXISTS = 23341;
	/* vFiler template already exists. */

	public static final int EVFILERTEMPLATEINUSE = 23519;
	/* VFiler template is in use. */

	public static final int EVIEWEXISTS = 21004;
	/* View exists. */

	public static final int EXMLVALIDATEFAIL = 21015;
	/* Package xml fails to validate to schema */

	public static final int EZIPFILEERROR = 21017;
	/* Script ZIP File opening failed. */

	public static final int EZIPFILEEXTRACTERROR = 21018;
	/* Error when extracting a particular file from the zip file */

}
