/*
 * $Id: //depot/prod/zephyr/lufthansaair/src/java/netapp/manage/NaCertificateException.java#1 $
 *
 * Copyright (c) 2011 NetApp, Inc.
 * All rights reserved.
 *
 * API Server stuff
 */

package netapp.manage;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;


/**
 *  Indicates some kind of error detected during verifying 
 *  the remote certificate chain.
 *  This class is used for internal purpose.
 */
 
public class NaCertificateException extends CertificateException {

	private X509Certificate[] _remoteCertificate;

	/**
	 *  Constructs a new <code>NaCertificateException</code> with
	 *  the specified remote certificate chain and the 
	 *  reason message for verification failure.
	 *
	 *  @param	chain		the remote certificate chain.
	 *  @param	reason		the reason message.
	 */
	public NaCertificateException(X509Certificate[] chain, String reason)
	{
		super(reason);
		_remoteCertificate = chain;
	}

	/**
	 *  Returns the chain of certificates that is sent by the peer.
	 *
	 *  @return	The certificate chain.
	 */
	public X509Certificate[] getCertificateChain()
	{
		return _remoteCertificate;
	}
}